;;; color-mate-e19.el -- Coloring routine for emacs/mule.

;; Copyright (C) HIROSHI Yokota

;; Author: Hiroshi Yokota <y5t0964@students.chiba-u.ac.jp>
;; Maintainer: Hiroshi Yokota <y5t0964@students.chiba-u.ac.jp>
;; Version: 9.0
;; Keywords: color hilit19 font-lock color-mate
;; Content-Type: text/plain; charset=x-euc-jp

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;;   Color-Mate  Ver.9.0
;;         by  ͵ (y5t0964@students.chiba-u.ac.jp)
;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;;   Coloring mule/emacs to more easier and more fun.
;;   mule / emacs ǡѤƸ䤹̤ˤޤ
;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;
;$Id: color-mate-e19.el,v 9.1 1998/02/17 20:19:50 elca Exp $

;;; Code:

;; Color-Mate 忧롼 emacs/mule 


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;               ե졼δͤ롣
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
; ե졼δͤ롣â⡼ɥ饤ȥ꡼
; ϻ;ͤǤʤߤΥե졼οˤȿǤ롣
;
(defun color-mate:e19-set-default-frame (alist)
  "Set default settings to coloring mule/emacs."
  
  (progn
    (require 'color-mate-util)
    ;; ⡼ɥ饤ϰϤο
    ;; color-mate-set-current-frame Ʊ
    ;; ϴͤǤʤߤΥե졼οˤȿǤ
    ;;
    ;; modeline
    (set-face-underline-p 'modeline (color-mate:get-alist-value 'modeline-underlined alist))
    (color-mate:_set-face-if-string alist 'modeline-background-color 'modeline-foreground-color 'modeline)
    
    ;; region
    (set-face-underline-p 'region (color-mate:get-alist-value 'region-underlined alist))
    (color-mate:_set-face-if-string alist 'region-background-color 'region-foreground-color 'region)

    ;; ɥεͤϢۥꥹȤˤϿ
    ;; ɲä褦ˤ
    (setq color-mate:*tmp-alist* '())
    (color-mate:_set-alist-if-string alist 'frame-background-color 'background-color)
    (color-mate:_set-alist-if-string alist 'frame-foreground-color 'foreground-color)
    (color-mate:_set-alist-if-string alist 'cursor-color 'cursor-color)
    (color-mate:_set-alist-if-string alist 'mouse-color  'mouse-color)

    (color-mate:_set-alist-if-integer alist 'menu-bar-lines 'menu-bar-lines)
    (color-mate:_set-alist-if-integer alist 'frame-height 'height)
    (color-mate:_set-alist-if-integer alist 'frame-width  'width)

    (color-mate:_set-alist-if-string alist 'line-space 'line-space)

    (if (boundp 'MULE)  ;; mule ˤϴեȤɲ
	(color-mate:_set-alist-if-string alist 'mule-font 'font)
      ;; emacs ˤϥ޻եȤɲ
      (color-mate:_set-alist-if-string alist 'emacs-font 'font)
      )
    
    (setq default-frame-alist             ;; ɥεͤϿ
	  (append color-mate:*tmp-alist*  ;; ɲ
		  default-frame-alist))
    ;;	(setq initial-frame-alist             ;; ιԤ̵Ƥɤ
    ;;	      (append color-mate:*tmp-alist*  ;; 񤤤Ƥ
    ;;		      initial-frame-alist))
    ))


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;                 ߤΥե졼οѹ롣
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
; ߤΥե졼Ρѹ롣δؿˤäƿѤΤ
; ߤΥե졼Ǥꡢcolor-mate-set-default-frame ˤä
; 줿ͤϢۥꥹȤˤˤϱƶʤ
;
(defun color-mate:e19-set-current-frame (alist)
  "Coloring current frame."
  
  (progn
    (require 'color-mate-util)
    ;; face
    (color-mate:_set-face-if-string alist 'modeline-background-color 'modeline-foreground-color 'modeline)    
    (color-mate:_set-face-if-string alist 'region-background-color 'region-foreground-color 'region)
    ;; bg
    (if (stringp
	 (setq color-mate:*tmp* (color-mate:get-alist-value
		      'frame-background-color alist)))
	(set-background-color color-mate:*tmp*))
    ;; fg
    (if (stringp
	 (setq color-mate:*tmp* (color-mate:get-alist-value
		      'frame-foreground-color alist)))
	(set-foreground-color color-mate:*tmp*))
    ;; cursor
    (if (stringp
	 (setq color-mate:*tmp* (color-mate:get-alist-value
		      'cursor-color alist)))
	(set-cursor-color color-mate:*tmp*))
    ;; mouse
    (if (stringp
	 (setq color-mate:*tmp* (color-mate:get-alist-value
		      'mouse-color alist)))
	(set-mouse-color color-mate:*tmp*))
    ))

;; feature ˤ
(provide 'color-mate-e19)

;;; color-mate-e19.el ends here
